{% extends "block.twig" %}

{% if image.width > image.height %}
  {% set orientation = 'landscape' %}
{% else %}
  {% set orientation = 'portrait' %}
{% endif %}

{% if image.is_full %}
  {% set variation = 'full' %}
{% else %}
  {% set variation = 'contained' %}
  {% set blockClass = 'not-last' %}
{% endif %}

{% block blockClass %}
  {{blockClass}}
{% endblock %}

{% block content %}

<div data-lightbox='{"src":"{{image.lightbox}}", "preview":"{{image.src}}"}'
    class="core-image core-image--{{orientation}} core-image--{{variation}}">
    <img src="{{image.src}}" width="{{image.width}}" width="{{image.height}}">
    {% if image.is_full %}
      <div class="core-image__background">
        <div class="core-image__background__img" style="background-image:url({{image.src}})"></div>
      </div>
    {% endif %}
</div>

{% endblock %}